Shipping Label
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/wms/shipping-line/packages/{packageId}/label \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/wms/shipping-line/packages/{packageId}/label"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/wms/shipping-line/packages/{packageId}/label', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"aSDinaTvuI8gbWludGxpZnk="{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}WMS
Shipping Label
Downloads a PDF shipping label from the database by ID.
GET
/
v2
/
wms
/
shipping-line
/
packages
/
{packageId}
/
label
Shipping Label
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The package ID of the package to retrieve the PDF document.
Response
The PDF file stream as binary content.
The response is of type string<byte>.
Was this page helpful?
⌘I